package main

import (
	termbox "github.com/nsf/termbox-go"
	"gogs.bullercodeworks.com/brian/gotime"
	"gogs.bullercodeworks.com/brian/user-config"
)

type MainScreen struct {
	config *userConfig.Config
	got    *gotime.GoTime
}

func CreateMainScreen() *MainScreen {
	var err error
	m := new(MainScreen)

	m.config, err = userConfig.NewConfig(AppName)

	if m.config.Get("dir") != "" {
		m.got = gotime.Create(dir)
	}

	return *m
}

func (screen *MainScreen) handleKeyEvent(event termbox.Event) int {
	if event.Ch == '?' {
		return AboutScreenIndex
	}
	return MainScreenIndex
}

func (screen *MainScreen) performLayout() {

}

func (screen *MainScreen) drawScreen(style Style) {

}
